import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'test' },
})
export class Test extends BaseModel {
  @prop({ required: false, index: true, zh: '姓名' })
  name: string;
  @prop({ required: false, index: true, zh: '性别', remark: '0:男;1:女;2:未知', default: '0' })
  gender: string;
  @prop({ required: false, index: true, zh: '年龄' })
  age: string;
  @prop({ required: false, index: false, zh: '手机号' })
  phone: string;
}
