import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Test } from '../entity/test.entity';
type modelType = ReturnModelType<typeof Test>;
@Provide()
export class TestService extends BaseService<modelType> {
  @InjectEntityModel(Test)
  model: modelType;
}
